Loading...
Searching...
No Matches
gx_engine::ConvolverMonoAdapter Class Reference

`#include <gx_internal_plugins.h>`

Inheritance diagram for gx_engine::ConvolverMonoAdapter:

## Public Member Functions

| ConvolverMonoAdapter (EngineControl &engine, sigc::slot< void > sync)
| ~ConvolverMonoAdapter ()
Public Member Functions inherited from gx_engine::ConvolverAdapter
| ConvolverAdapter (EngineControl &engine, sigc::slot< void > sync)
| ~ConvolverAdapter ()
void | restart ()
bool | conv_start ()
const std::string & | getIRFile () const
void | set_sync (bool val)
std::string | getFullIRPath () const
const std::string & | getIRDir () const
bool | set (const GxJConvSettings &jcset) const
const GxJConvSettings & | get_jcset () const
ParamMap & | get_parameter_map () const

## Static Private Member Functions

static void | convolver_init (unsigned int samplingFreq, PluginDef *pdef)
static int | activate (bool start, PluginDef *pdef)
static void | convolver (int count, float *input, float *output, PluginDef *)
static int | convolver_register (const ParamReg &reg)
static int | jconv_load_ui (const UiBuilder &builder, int format)

## Private Attributes

jconv_post_mono::Dsp | jc_post_mono

## Additional Inherited Members

Public Attributes inherited from gx_engine::ConvolverAdapter
Plugin | plugin
Protected Member Functions inherited from gx_engine::ConvolverAdapter
void | change_buffersize (unsigned int size)
Protected Attributes inherited from gx_engine::ConvolverAdapter
GxConvolver | conv
boost::mutex | activate_mutex
EngineControl & | engine
sigc::slot< void > | sync
bool | activated
GxJConvSettings | jcset
JConvParameter * | jcp
Protected Attributes inherited from PluginDef
int | version
int | flags
const char * | id
const char * | name
const char ** | groups
const char * | description
const char * | category
const char * | shortname
process_mono_audio | mono_audio
process_stereo_audio | stereo_audio
inifunc | set_samplerate
activatefunc | activate_plugin
registerfunc | register_params
uiloader | load_ui
clearstatefunc | clear_state
deletefunc | delete_instance

## Detailed Description

Definition at line 418 of file gx_internal_plugins.h.

## Constructor & Destructor Documentation

## ConvolverMonoAdapter()

gx_engine::ConvolverMonoAdapter::ConvolverMonoAdapter | ( | EngineControl & | engine,
|  | sigc::slot< void > | sync )

## ~ConvolverMonoAdapter()

gx_engine::ConvolverMonoAdapter::~ConvolverMonoAdapter | ( |  | ) |

## Member Function Documentation

## activate()

int gx_engine::ConvolverMonoAdapter::activate | ( | bool | start,
|  | PluginDef * | pdef )

static private

## convolver()

void gx_engine::ConvolverMonoAdapter::convolver | ( | int | count,
|  | float * | input,
|  | float * | output,
|  | PluginDef * | )

static private

## convolver_init()

void gx_engine::ConvolverMonoAdapter::convolver_init | ( | unsigned int | samplingFreq,
|  | PluginDef * | pdef )

static private

## convolver_register()

int gx_engine::ConvolverMonoAdapter::convolver_register | ( | const ParamReg & | reg | ) |

static private

## jconv_load_ui()

int gx_engine::ConvolverMonoAdapter::jconv_load_ui | ( | const UiBuilder & | builder,
|  | int | format )

static private

## Member Data Documentation

## jc_post_mono

jconv_post_mono::Dsp gx_engine::ConvolverMonoAdapter::jc_post_mono

private

Definition at line 420 of file gx_internal_plugins.h.

The documentation for this class was generated from the following file:

- src/headers/gx_internal_plugins.h